Get company
curl --request GET \
--url https://api.upwell.com/api/rest/companies/{id}import requests
url = "https://api.upwell.com/api/rest/companies/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.upwell.com/api/rest/companies/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"company": {
"createdAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"dunsNumber": "<string>",
"id": "<string>",
"logoUrl": "<string>",
"mcNumber": "<string>",
"name": "<string>",
"primaryEmailAddress": "<string>",
"primaryPhone": "<string>",
"sourceSystem": "<string>",
"sourceSystemId": "<string>",
"termsOfService": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"website": "<string>"
}
}Companies
Get company
Retrieve a single company by its ID.
GET
/
api
/
rest
/
companies
/
{id}
Get company
Headers
Your API key will be used for authentication of the request. Authorization: YOUR_API_KEY
Path Parameters
"id" is required (enter it either in parameters or request body)
Response
200 - application/json
Responses for GET /api/rest/companies/{id}
Companies table - stores all company entities with their branding, contact info, and MC numbers. Each tenant can have multiple companies for different divisions or legal entities.
Show child attributes
Show child attributes
āI

